curl --request POST \
--url https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/create-appeasement \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"source": "Storefront",
"userId": "12",
"appeasements": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"appeasementCounter": 1,
"attributes": {
"number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"
},
"invoicedAmount": 34.56,
"invoicedAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"payments": [
{
"paymentCounter": 1,
"refundAmount": 34.56,
"refundAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
]
}
],
"reasonCode": "Incorrect Item",
"refunds": [
{
"amount": "-10.",
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"name": "Name",
"type": "ITEM"
}
],
"source": "CSR",
"subReasonCode": "Late shipping"
}
],
"customer": {
"accountId": "62272e917b12209e68751d94",
"company": "Demo Inc",
"email": "test@example.com",
"employeeId": "62272e917b12209e68751d94",
"name": {
"firstName": "Alex",
"lastName": "Doe",
"middleName": "E"
},
"phone": {
"number": "123-456-7890",
"type": "MOBILE"
},
"userId": "62272e917b12209e68751d94"
},
"items": [
{
"appeasements": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"appeasementCounter": 1,
"attributes": {
"number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"
},
"invoicedAmount": 34.56,
"invoicedAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"payments": [
{
"paymentCounter": 1,
"refundAmount": 34.56,
"refundAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
]
}
],
"reasonCode": "Incorrect Item",
"refunds": [
{
"amount": "-10.",
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"name": "Name",
"type": "ITEM"
}
],
"source": "CSR",
"subReasonCode": "Late shipping"
}
],
"lineItemId": "d538b1f1-0e45-43c6-bfc6-9666fc1188ca"
}
],
"orderExternalId": "191763090_O1231",
"requestContext": {
"id": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",
"type": "<string>",
"requestTime": "2022-04-12T09:30:31.198Z",
"attributes": {
"attribute": "N",
"someFlag": true
}
}
}
'import requests
url = "https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/create-appeasement"
payload = {
"source": "Storefront",
"userId": "12",
"appeasements": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"appeasementCounter": 1,
"attributes": { "number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ" },
"invoicedAmount": 34.56,
"invoicedAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"payments": [
{
"paymentCounter": 1,
"refundAmount": 34.56,
"refundAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
]
}
],
"reasonCode": "Incorrect Item",
"refunds": [
{
"amount": "-10.",
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"name": "Name",
"type": "ITEM"
}
],
"source": "CSR",
"subReasonCode": "Late shipping"
}
],
"customer": {
"accountId": "62272e917b12209e68751d94",
"company": "Demo Inc",
"email": "test@example.com",
"employeeId": "62272e917b12209e68751d94",
"name": {
"firstName": "Alex",
"lastName": "Doe",
"middleName": "E"
},
"phone": {
"number": "123-456-7890",
"type": "MOBILE"
},
"userId": "62272e917b12209e68751d94"
},
"items": [
{
"appeasements": [
{
"amount": 34.56,
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"appeasementCounter": 1,
"attributes": { "number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ" },
"invoicedAmount": 34.56,
"invoicedAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"payments": [
{
"paymentCounter": 1,
"refundAmount": 34.56,
"refundAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
]
}
],
"reasonCode": "Incorrect Item",
"refunds": [
{
"amount": "-10.",
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"name": "Name",
"type": "ITEM"
}
],
"source": "CSR",
"subReasonCode": "Late shipping"
}
],
"lineItemId": "d538b1f1-0e45-43c6-bfc6-9666fc1188ca"
}
],
"orderExternalId": "191763090_O1231",
"requestContext": {
"id": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",
"type": "<string>",
"requestTime": "2022-04-12T09:30:31.198Z",
"attributes": {
"attribute": "N",
"someFlag": True
}
}
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
source: 'Storefront',
userId: '12',
appeasements: [
{
amount: 34.56,
amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],
appeasementCounter: 1,
attributes: {number: 'XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ'},
invoicedAmount: 34.56,
invoicedAmountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],
payments: [
{
paymentCounter: 1,
refundAmount: 34.56,
refundAmountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}]
}
],
reasonCode: 'Incorrect Item',
refunds: [
{
amount: '-10.',
amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],
name: 'Name',
type: 'ITEM'
}
],
source: 'CSR',
subReasonCode: 'Late shipping'
}
],
customer: {
accountId: '62272e917b12209e68751d94',
company: 'Demo Inc',
email: 'test@example.com',
employeeId: '62272e917b12209e68751d94',
name: {firstName: 'Alex', lastName: 'Doe', middleName: 'E'},
phone: {number: '123-456-7890', type: 'MOBILE'},
userId: '62272e917b12209e68751d94'
},
items: [
{
appeasements: [
{
amount: 34.56,
amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],
appeasementCounter: 1,
attributes: {number: 'XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ'},
invoicedAmount: 34.56,
invoicedAmountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],
payments: [
{
paymentCounter: 1,
refundAmount: 34.56,
refundAmountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}]
}
],
reasonCode: 'Incorrect Item',
refunds: [
{
amount: '-10.',
amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],
name: 'Name',
type: 'ITEM'
}
],
source: 'CSR',
subReasonCode: 'Late shipping'
}
],
lineItemId: 'd538b1f1-0e45-43c6-bfc6-9666fc1188ca'
}
],
orderExternalId: '191763090_O1231',
requestContext: {
id: 'a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111',
type: '<string>',
requestTime: '2022-04-12T09:30:31.198Z',
attributes: {attribute: 'N', someFlag: true}
}
})
};
fetch('https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/create-appeasement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orderNumber": "12",
"totalAmountRefunded": 25.5,
"totalAmountRefundedInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
]
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "Not found",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Create appeasement by order number
When customer is dissatisfied with their shopping experience, you may want to offer an appeasement amount to keep them happy.
This endpoint is used to create appeasement request by order number.
Note: If you do not have an order number, use the corresponding order ID-based endpoint - POST /orders/{orderId}/actions/create-appeasement
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.
Unique request ID
Path Parameters
Merchant-defined order identifier
Body
Appeasement request
Merchant-defined source from where the appeasement request was initiated. There are no pre-defined values; possible values are Customer Service Representative (CSR), point-of-sale (POS), etc.
"Storefront"
Identifier of the logged in user who initiated the request. This could be from either fabric Identity service or an external Identity service.
"12"
Order-level appeasement details. At least one order-level or item-level appeasement must be added.
Show child attributes
Show child attributes
Invoice customer
Show child attributes
Show child attributes
Item-level appeasements. At least one order-level or item-level appeasement must be added.
Show child attributes
Show child attributes
A merchant-defined external order identifier.
This field is optional and can be used to reference the order in external
systems such as an ERP, OMS, or CRM.
"191763090_O1231"
Request reference context information
Show child attributes
Show child attributes
Response
OK
Appeasement info
Merchant-defined order identifier. If omitted, this is generated by fabric's sequence generator using Configuration service
"12"
Total refunded amount
25.5
The total amount that has been refunded, represented in one or more currencies.
Each entry provides the total refunded value and its corresponding currency code,
using the structure defined in the amountInCurrency schema.
This field enables tracking of cumulative refunds across multiple currencies.
Show child attributes
Show child attributes
Was this page helpful?
